Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.config.impl.digester.elements
Class FacesConfig

    java.lang.Object
      org.apache.myfaces.config.impl.digester.elements.FacesConfig

public class FacesConfig
extends java.lang.Object

Author:
  Oliver Rossmueller

Constructor Summary
`FacesConfig()`

Method Summary
`void` | `addApplication(Application application)`
`void` | `addComponent(java.lang.String componentType, java.lang.String componentClass)`
`void` | `addConverter(Converter converter)`
`void` | `addFactory(Factory factory)`
`void` | `addLifecyclePhaseListener(java.lang.String value)`
`void` | `addManagedBean(ManagedBean bean)`
`void` | `addNavigationRule(NavigationRule rule)`
`void` | `addRenderKit(RenderKit renderKit)`
`void` | `addValidator(java.lang.String id, java.lang.String validatorClass)`
`java.util.List` | `getApplications()`
`java.util.Map` | `getComponents()`
`java.util.List` | `getConverters()`
`java.util.List` | `getFactories()`
`java.util.List` | `getLifecyclePhaseListener()`
`java.util.List` | `getManagedBeans()`
`java.util.List` | `getNavigationRules()`
`java.util.List` | `getRenderKits()`
`java.util.Map` | `getValidators()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FacesConfig

    public FacesConfig()

Method Detail

### addApplication

    public void addApplication(Application application)

### addFactory

    public void addFactory(Factory factory)

### addComponent

    public void addComponent(java.lang.String componentType,
                             java.lang.String componentClass)

### addConverter

    public void addConverter(Converter converter)

### addManagedBean

    public void addManagedBean(ManagedBean bean)

### addNavigationRule

    public void addNavigationRule(NavigationRule rule)

### addRenderKit

    public void addRenderKit(RenderKit renderKit)

### addLifecyclePhaseListener

    public void addLifecyclePhaseListener(java.lang.String value)

### addValidator

    public void addValidator(java.lang.String id,
                             java.lang.String validatorClass)

### getApplications

    public java.util.List getApplications()

### getFactories

    public java.util.List getFactories()

### getComponents

    public java.util.Map getComponents()

### getConverters

    public java.util.List getConverters()

### getManagedBeans

    public java.util.List getManagedBeans()

### getNavigationRules

    public java.util.List getNavigationRules()

### getRenderKits

    public java.util.List getRenderKits()

### getLifecyclePhaseListener

    public java.util.List getLifecyclePhaseListener()

### getValidators

    public java.util.Map getValidators()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD